artdaq Utilities - Idea #20803

DAQinterface's requirement that a boardreader FHiCL document be of the form
<componentname>_hw_cfg.fcl should be removed

09/11/2018 04:08 PM - John Freeman

Status: Resolved Start date: 09/11/2018
Priority: Normal Due date:

Assignee: John Freeman % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Experiment: -

Description

Gennadiy ran into some issues today trying to configure, since if you tell DAQInterface you want to use a boardreader, e.g.:

setdagcomps.sh my_component

...then in the configuration, it will look not for mycomponent.fcl, but rather, mycomponent_hw_cfg.fcl, for historical reasons dating
back to LBNE 35t. This is an unnecessary opportunity for users to trip up, and should be removed, while maintaining backwards
compatibility with configurations that do contain files with names like mycomponent_hw_cfg.fcl

Associated revisions

Revision 9bddf461 - 11/01/2018 01:02 PM - John Freeman

JCF: when checking for duplicate FHiCL documents, treat <label>_hw_cfg.fcl and <label>.fcl as the same (see Issue #20803)

History

#1 - 09/14/2018 10:34 AM - John Freeman
- Status changed from New to Resolved

- % Done changed from 0 to 100

A very simple change. With commit 7f7a747c6dbf9770cale0be9a2428cf5e1f570e5 on the develop branch, if a user specifies <componentname>,
DAQInterface will accept either <componentname>_hw_cfg.fcl or <componentnames.fcl as the FHiCL document.
